<template>
<form>
  <h2>Form B</h2>
  <div class="row">
    <div class="col-md-6">
      <div class="form-group">
        <label for="">Specify value</label>
        <input type="text" v-model="valueB" class="form-control">
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label for="">Value From A</label>
        <input type="text" v-model="valueFormA" class="form-control" readonly>
      </div>
    </div>
  </div>
</form>
</template>

<script>
export default {
  data () {
    return {
      valueB: ''
    }
  },
  watch: {
    valueB (val) {
      this.$store.dispatch('form/updateValueB', val)
    }
  }
}
</script>

<style>

</style>
